This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 582064 - Unable to enable desktop-effects
Unable to enable desktop-effects
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 21:47 EDT by valis_1980
Modified: 2010-04-14 23:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-14 23:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description valis_1980 2010-04-13 21:47:01 EDT
Unable to enable desktop-effects from the System menu saying that 3D acceleration is not running. In glxgears I'm getting about 600 - 700 fps. Running the F13 Noveau test day x86_64 LiveCD 20100412. I ran compiz --replace from the terminal and it errored out and eliminated the window decorations.

[liveuser@localhost ~]$ lspci -v -s 01:00.0
01:00.0 VGA compatible controller: nVidia Corporation G92 [GeForce 8800 GT] (rev a2) (prog-if 00 [VGA controller])
	Subsystem: Device 19f1:06dc
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f4000000 (64-bit, non-prefetchable) [size=32M]
	I/O ports at b000 [size=128]
	[virtual] Expansion ROM at f7000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb


[liveuser@localhost ~]$ glxinfo | grep direct
direct rendering: Yes

[liveuser@localhost ~]$ compiz --replace
compiz (core) - Fatal: GLX_EXT_texture_from_pixmap is missing
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0
Comment 1 Ben Skeggs 2010-04-13 22:09:33 EDT
Did you install mesa-dri-drivers-experimental?  Full glxinfo output, and rpm -q mesa-dri-drivers-experimental would be useful!
Comment 2 valis_1980 2010-04-14 23:43:25 EDT
My mistake, I thought they would already be installed on the Noveau test day image.

You can close this it works fine, mea culpa.

Note You need to log in before you can comment on or make changes to this bug.